repo/gentoo:master commit in: dev-qt/qtserialbus/

"Ionen Wolkens" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787053235.d5300bb530b5046e999034eaf2e832b03b806d3e.ionen@gentoo>
commit:     d5300bb530b5046e999034eaf2e832b03b806d3e
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 11:15:43 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 11:40:35 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5300bb5

dev-qt/qtserialbus: add 6.11.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtserialbus/Manifest                  |  1 +
 dev-qt/qtserialbus/qtserialbus-6.11.2.ebuild | 38 ++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-qt/qtserialbus/Manifest b/dev-qt/qtserialbus/Manifest
index 35a5abe41f2f..0f03a8bc9cba 100644
--- a/dev-qt/qtserialbus/Manifest
+++ b/dev-qt/qtserialbus/Manifest
@@ -1 +1,2 @@
 DIST qtserialbus-everywhere-src-6.11.1.tar.xz 535680 BLAKE2B 7541abba622784308a19b0a2b877d24f459021f4ef403f54d084935aa0b03ea00c9865cf8e5e59fc1050734bcad6a1af7dd9ab4c244da89695282b7f55dcbaae SHA512 bb655d719ad753fe06bfe89f1cc02a5b5fa64edf560b9529817b09a9a701b9952806bc18e98f58ebabe78d8207336db250baf613df3e15f8f380d1ebef320ee3
+DIST qtserialbus-everywhere-src-6.11.2.tar.xz 535820 BLAKE2B 813c32352c8efe950b5e905345cfd2d35665ac27f6958e09258185d4569e7d326374703796d8b29969489b7d0ef75f71ba08efdddc7241b51c05c25d054b795f SHA512 7a81dd4229beffb897570aedde599c3fefa6eabdd86a3b1cbd83bad2c8dbb489353bb01b720f6477e95a7c524210177ea562c93d2a0ec61b34e81f3c295157de

diff --git a/dev-qt/qtserialbus/qtserialbus-6.11.2.ebuild b/dev-qt/qtserialbus/qtserialbus-6.11.2.ebuild
new file mode 100644
index 000000000000..116247f3bb0b
--- /dev/null
+++ b/dev-qt/qtserialbus/qtserialbus-6.11.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Qt module to access CAN, ModBus, and other industrial serial buses and protocols"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network]
+	~dev-qt/qtserialport-${PV}:6
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+	# rarely fails randomly (perhaps related to -j)
+	tst_qcandbcfileparser
+)
+
+src_install() {
+	qt6-build_src_install
+
+	if use test; then
+		local delete=( # sigh
+			"${D}${QT6_LIBDIR}"/cmake/Qt6SerialBus/*TestCanBusPlugin*.cmake
+			"${D}${QT6_MKSPECSDIR}"/modules/qt_plugin_qttestcanbus.pri
+			"${D}${QT6_PLUGINDIR}"/canbus/libqttestcanbus.*
+			"${D}${QT6_PLUGINDIR}"/canbus/objects-*/
+		)
+		# using -f given not tracking which tests may be skipped or not
+		rm -rf -- "${delete[@]}" || die
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.